---
title: HTMLImageElement.referrerPolicy
slug: Web/API/HTMLImageElement/referrerPolicy
tags:
  - API
  - Experimental
  - HTMLImageElement
  - Property
  - Referrer Policy
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLImageElement</strong></code><strong><code>.referrerPolicy</code></strong> property reflects the HTML {{htmlattrxref("referrerpolicy","img")}} attribute of the {{HTMLElement("img")}} element defining which referrer is sent when fetching the resource.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>refStr</var> = <var>imgElt</var>.referrerPolicy;
<var>imgElt</var>.referrerPolicy = <var>refStr</var>;</pre>

<h3 id="Values">Values</h3>

<p>A {{domxref("DOMString")}} representing the referrer policy. Possible values are:</p>

<dl>
 <dd>
 <ul>
  <li><code>"no-referrer"</code> meaning that the <code>Referer:</code> HTTP header will not be sent.</li>
  <li><code>"origin"</code> meaning that the referrer will be the origin of the page, that is roughly the scheme, the host and the port.</li>
  <li><code>"unsafe-url"</code> meaning that the referrer will include the origin and the path (but not the fragment, password, or username). This case is unsafe as it can leak path information that has been concealed to third-party by using TLS.</li>
 </ul>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js;highlight:[3]">var img = new Image();
img.src = 'img/logo.png';
img.referrerPolicy = 'origin';

var div = document.getElementById('divAround');
div.appendChild(img); // Fetch the image using the origin as the referrer
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Referrer Policy', '#referrer-policy-delivery-referrer-attribute', 'referrerPolicy attribute')}}</td>
   <td>{{Spec2('Referrer Policy')}}</td>
   <td>Added the <code>referrerPolicy</code> property.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.referrerPolicy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLAnchorElement.referrerPolicy")}}, {{domxref("HTMLAreaElement.referrerPolicy")}}, and {{domxref("HTMLIFrameElement.referrerPolicy")}}.</li>
</ul>
